
#ifndef _GLCD_H_
#define _GLCD_H_

#include<LPC214x.h>
#include "GLCD_utilities.h"

void delay_us(int count);
void GLCD_init(void);
void GLCD_send_command(unsigned char command);
void GLCD_send_data(unsigned char data);
void GLCD_busy(void);
void GLCD_DisplayChar(const unsigned char *ptr_array);
void GLCD_DisplayChar_8(const unsigned char *ptr_array);
void GLCD_Clear(void);
void GLCD_SetCursor(int lineNumber,int CursorPosition);
void GLCD_DisplayLogo(const unsigned char ptr_Logo[]);
void GLCD_BlockMovement(int delay_usec,int line, const unsigned char block[]);
void GAME_init(void);
void GLCD_Smooth(int line, const unsigned char block1[],const unsigned char block2[]);
void addBufferUnit(int line,int cursor,const unsigned char *ptr_array);
void glcdDisplay(void);
void disp_int(int);
void disp_int1(int);
#endif
